﻿using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Filsonator
{
    public partial class SettingForm : Form
    {
        public SettingForm()
        {
            InitializeComponent();
        }

        private void SettingForm_Load(object sender, EventArgs e)
        {
            StructureForm.Settings j = JsonConvert.DeserializeObject<StructureForm.Settings>(File.ReadAllText("settings.json"));
            comboBox_League.Text = j.league;
            WebClient wc = new WebClient();
            wc.DownloadFile("https://io.mxg.ovh/poe/leagues.txt", "leagues.txt");
            var lfln = File.ReadAllLines("leagues.txt");
            foreach (var l in lfln)
            {
                comboBox_League.Items.Add(l);
            }
            textBox_Tier.Text = j.tierValue.ToString();
            textBox_Unique.Text = j.uniqueValue.ToString();
            textBox_Fossil.Text = j.fossilValue.ToString();
            textBox_DivCard.Text = j.cardValue.ToString();
        }

        private void button_Close_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button_Save_Click(object sender, EventArgs e)
        {
            string json = File.ReadAllText($@"settings.json");
            dynamic jo = JsonConvert.DeserializeObject(json);          

            jo["tierValue"] = Convert.ToInt32(textBox_Tier.Text);
            jo["uniqueValue"] = Convert.ToInt32(textBox_Unique.Text);
            jo["fossilValue"] = Convert.ToInt32(textBox_Fossil.Text);
            jo["cardValue"] = Convert.ToInt32(textBox_DivCard.Text);

            string output = JsonConvert.SerializeObject(jo, Formatting.Indented);
            File.WriteAllText($@"settings.json", output);

            this.Close();
        }
    }
}
